# Module Pinpoint OneTrust

    ``pinpoint/module-onetrust``

 - [Main Functionalities](#markdown-header-main-functionalities)
 - [Installation](#markdown-header-installation)
 - [Configuration](#markdown-header-configuration)

## Main Functionalities
Adds OneTrust script high up in the head and allows its configuration via the admin panel.


## Installation
\* = in production please use the `--keep-generated` option

### Type 1: Zip file

 - Unzip the zip file in `app/code/Pinpoint`
 - Enable the module by running `php bin/magento module:enable Pinpoint_OneTrust`
 - Apply database updates by running `php bin/magento setup:upgrade`
 - Flush the cache by running `php bin/magento cache:flush`

### Type 2: Composer

 - Install the module composer by running `composer require pinpoint/module-onetrust`
 - enable the module by running `php bin/magento module:enable Pinpoint_OneTrust`
 - apply database updates by running `php bin/magento setup:upgrade`
 - Flush the cache by running `php bin/magento cache:flush`


## Configuration

 - enabled (onetrust/general/enabled)

 - onetrust_script (onetrust/general/onetrust_script)


### Admin Configurations
- `Stores -> Configuration -> Pinpoint -> OneTrust`
